### Method

# Clutter PaintNode add_primitive

#### Declaration [src]

    void
    clutter_paint_node_add_primitive (
      ClutterPaintNode* node,
      CoglPrimitive* primitive
    )

#### Description [src]

Adds a region described by a Cogl primitive to the `node`.

This function acquires a reference on `primitive`, so it is safe to call `g_object_unref()` when it returns.

This method is not directly available to language bindings.

#### Parameters

`primitive`

  Type: `CoglPrimitive`

  A Cogl primitive.

  The data is owned by the caller of the method.